Summary:        Implementation of a "Singleton" class
Name:           perl-Class-Singleton
Version:        1.6
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Class-Singleton
Source0:        https://cpan.metacpan.org/modules/by-module/Class/Class-Singleton-%{version}.tar.gz
BuildRequires:  coreutils findutils make  perl-generators perl-interpreter perl(strict) perl(warnings) perl(base) perl(Test::More)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.64
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

BuildArch:      noarch

%description
This is the Class::Singleton module. A Singleton describes an object class
that can have only one instance in any system. An example of a Singleton
might be a print spooler or system registry. This module implements a
Singleton class from which other classes can be derived. By itself, the
Class::Singleton module does very little other than manage the instantiation
of a single object. In deriving a class from Class::Singleton, your module
will inherit the Singleton instantiation method and can implement whatever
specific functionality is required.

%prep
%setup -q -n Class-Singleton-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license Artistic Copying LICENCE
%doc Changes README
%{perl_vendorlib}/Class/
%{_mandir}/man3/Class::Singleton.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-2
- Rebuilt for OpenCloudOS Stream 23

* Fri May 20 2022 kkingzhang <kkingzhang@tencent.com> - 1.6-1
- Initial build
